GetClusterNodeAttributesResponse (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetClusterNodeAttributesResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetClusterNodeAttributesResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeAttributesResponse

@Public @Evolving public abstract class GetClusterNodeAttributesResponse extends Object

The response sent by the `ResourceManager` to a client requesting a node attributes in cluster.

See Also:
  - `(GetClusterNodeAttributesRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetClusterNodeAttributesResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Set<NodeAttributeInfo>`
  `getNodeAttributes()`
  Get node attributes from the response.
  `static GetClusterNodeAttributesResponse`
  `newInstance(Set<NodeAttributeInfo> attributes)`
  Create instance of GetClusterNodeAttributesResponse.
  `abstract void`
  `setNodeAttributes(Set<NodeAttributeInfo> attributes)`
  Set node attributes to the response.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetClusterNodeAttributesResponse

    public GetClusterNodeAttributesResponse()

- ## Method Details

  - ### newInstance

    public static GetClusterNodeAttributesResponse newInstance(Set<NodeAttributeInfo> attributes)
    Create instance of GetClusterNodeAttributesResponse.
    Parameters:
      `attributes` - Map of Node attributeKey to Type.
    Returns:
      GetClusterNodeAttributesResponse.

  - ### setNodeAttributes

    @Public @Unstable public abstract void setNodeAttributes(Set<NodeAttributeInfo> attributes)
    Set node attributes to the response.
    Parameters:
      `attributes` - Map of Node attributeKey to Type.

  - ### getNodeAttributes

    @Public @Unstable public abstract Set<NodeAttributeInfo> getNodeAttributes()
    Get node attributes from the response.
    Returns:
      Node attributes.